Bug 128158 - CAN-2004-0557 buffer overflows in sox
CAN-2004-0557 buffer overflows in sox
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sox (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 10:17 EDT by Josh Bressers
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 15:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
WAV file which will trigger a buffer overflow. (33.73 KB, audio/x-wav)
2004-07-19 10:22 EDT, Josh Bressers
no flags Details
Fix for these buffer overflows. (736 bytes, patch)
2004-07-19 10:23 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-07-19 10:17:59 EDT
Hello,

I have found two buffer overflows in SoX. They occur when the sox
or play commands handle malicious .WAV files.

Versions 12.17.4, 12.17.3 and 12.17.2 are vulnerable to these
overflows. 12.17.1, 12.17 and 12.16 are some versions that are not.

SoX may not be the most security critical program, but it is possible
to exploit this. Some attack vectors are social engineering (I have
used play to play .WAV files from untrusted sources several times
before I found this), programs that use SoX to play data from the net
(examples include JiveAudio and vmail), and people who put play in
their mailcap files (so it plays sound files in MIME messages as
soon as the messages are opened). It is also interesting to note
that xmms can play .WAV files with this type of data just fine.

...

// Ulf Harnhammar
   Debian Security Audit Project
   http://www.debian.org/security/audit/
Comment 1 Josh Bressers 2004-07-19 10:22:23 EDT
Created attachment 102036 [details]
WAV file which will trigger a buffer overflow.

To trigger the buffer overflow, just run 'play buffy.wav' (I didn't name it, I
have no idea).
Comment 2 Josh Bressers 2004-07-19 10:23:14 EDT
Created attachment 102037 [details]
Fix for these buffer overflows.
Comment 3 Bill Nottingham 2004-07-19 17:05:56 EDT
Priority?
Comment 4 Josh Bressers 2004-07-19 17:10:56 EDT
Low, it doesn't seem much if anything uses this (unless you're aware
of something).
Comment 5 Bill Nottingham 2004-07-20 12:45:20 EDT
Low as in 'don't-do-it', or low as in 'do-it-at-some-point'?

Also, embargo date?
Comment 6 Josh Bressers 2004-07-20 14:11:27 EDT
low as in do-it-at-some-point, and right now it looks like July 28 is
the embargo date.  The reporter is still sorting out upstream, so this
may be optimistic.
Comment 7 Mark J. Cox (Product Security) 2004-07-28 12:18:27 EDT
public - removing embargo
Comment 8 Mark J. Cox (Product Security) 2004-07-29 15:10:32 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-409.html

Note You need to log in before you can comment on or make changes to this bug.